myconfig

my config files
git clone https://a3nm.net/git/myconfig/
Log | Files | Refs | README

commit 59a7eb1558d273b9c304eefefdc62c4acd75e6c6
parent 175382d08ea020ea2aebf289d6ab57bc34f67b12
Author: Antoine Amarilli <a3nm@a3nm.net>
Date:   Thu,  1 Dec 2016 00:19:22 +0100

Merge branch 'master' of a3nm.net:git/myconfig

Diffstat:
install.sh | 23++++++++++++++++-------
1 file changed, 16 insertions(+), 7 deletions(-)

diff --git a/install.sh b/install.sh @@ -4,25 +4,31 @@ command -v curl >/dev/null 2>&1 || { echo "I require curl but it's not installed. Aborting." >&2; exit 1; } command -v git >/dev/null 2>&1 || { echo "I require git but it's not installed. Aborting." >&2; exit 1; } +touch ~/-@ # http://unix.stackexchange.com/a/77868 + mkdir -p ~/logs -mkdir -p ~/temp/{vim,mutt} +mkdir -p ~/temp/{vim,mutt,lock} mkdir -p ~/temp/vim/{temp,backup} + mkdir -p ~/apps -touch ~/-@ # http://unix.stackexchange.com/a/77868 cd ~/apps git clone 'https://github.com/clvv/fasd' -git clone https://git.zx2c4.com/password-store +ln -s ~/apps/fasd/fasd ~/bin + +# not needed anymore I think, just use the stock one +# git clone https://git.zx2c4.com/password-store # sudo make install -git clone 'https://bitbucket.org/sterlingcamden/urlpicker/' + +# do this by hand, because depending on hg sucks +# hg clone 'https://bitbucket.org/sterlingcamden/urlpicker/' # sudo mkdir -p '/usr/local/lib/urxvt/perl' # sudo cp urlpicker/url-picker /usr/local/lib/urxvt/perl -ln -s ~/apps/fasd/fasd ~/bin + cd ~/config mkdir -p ~/.elinks mkdir -p ~/Mail_inbox -mkdir -p ~/.gnupg mkdir -p ~/.i3 -ls ~/config/ | grep -vE "(README|TODO|elinks|mutt|vim|zsh)" | while read l; do ln -s ~/config/$l ~/.$l; done +ls ~/config/ | grep -vE "(README|TODO|elinks|mutt|vim|zsh|subversion)" | while read l; do ln -s ~/config/$l ~/.$l; done mkdir -p ~/.mutt for a in ~/config/mutt/*; do ln -s $a ~/.mutt/; done ln -s ~/config/elinks ~/.elinks/elinks.conf @@ -40,8 +46,11 @@ ln -s ~/.zsh/zshrc ~/.zshrc touch ~/.zsh/ps1 ln -s ~/config/gtk/gtkrc-2.0 ~/.gtkrc-2.0 + +mkdir -p ~/.gnupg ln -s ~/config/gnupg/gpg-agent.conf ~/.gnupg/gpg-agent.conf ln -s ~/config/gnupg/gpg.conf ~/.gnupg/gpg.conf + ln -s ~/config/i3/config ~/.i3/config ln -s ~/config/latexmk ~/.latexmkrc ln -s ~/config/abcde ~/.abcde.conf